Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: peripheral::GatewaySensorManager::RemoteModbusRTUDevice Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::RemoteModbusRTUDevice Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::RemoteModbusRTUDevice:

## Public Attributes
string | busInterface
| rs485 interface used for modbus communication
ModbusCfg::SerialSettings | busSettings
| interface settings
int | interframeDelayDeciChars
| (== 0) -> default, (< 0) -> no delay, (> 0) -> e.g. 35 means 3.5 chars
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteModbusDevice
map< int, string > | detectionIdentifiers
| list of expected device identifiers
int | unitId
| modbus server address
vector< byte > | unsupportedFunctionCodes
| list of unsupported modbus function codes (FC)
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteDevice
string | deviceId
| remote device id
boolean | disabled
| prevents usage of all sensor specifications which reference this device
string | name
| human readable remote device name
int | timeoutMs
| communication access timeout, 0 = default
int | retry
| communication retry count, 0 = default

## Detailed Description

Definition at line 307 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ busInterface

string peripheral::GatewaySensorManager::RemoteModbusRTUDevice::busInterface

rs485 interface used for modbus communication

Supported values:

(1) with SRC-080X, the REMOTE HUB interfaces are supported, possible values are:

- "REMOTE-HUB-1" or "sensorhub0-rs485" (deprecated) mean port "REMOTE HUB 1"
- "REMOTE-HUB-2" or "sensorhub1-rs485" (deprecated) mean port "REMOTE HUB 2"

(2) with Raritan Modbus/RS-485 dongle "USB-MOD-DONGLE", possible values are:

- "USB<topo>": where <topo> contains the USB port number and possibly the topology of USB hubs
  - "USB-2" means dongle connected to PDU USB port "USB A 2"
  - "USB-1-2-3" means dongle is connected to a first USB hub at port 3, and the first USB hub is connected to a second USB hub at port 2, and the second USB hub is connected to PDU USB port "USB A 1"
- "<serial>": where <serial> is the serial number of USB dongle, according to the label

Definition at line 325 of file GatewaySensorManager.idl.

## ◆ busSettings

ModbusCfg::SerialSettings peripheral::GatewaySensorManager::RemoteModbusRTUDevice::busSettings

interface settings

Definition at line 326 of file GatewaySensorManager.idl.

## ◆ interframeDelayDeciChars

int peripheral::GatewaySensorManager::RemoteModbusRTUDevice::interframeDelayDeciChars

(== 0) -> default, (< 0) -> no delay, (> 0) -> e.g. 35 means 3.5 chars

Definition at line 327 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl